@mixin size($width, $height) {
  width: $width;
  height: $height;
}

@mixin hide-scroll-bar {
  &::-webkit-scrollbar {
    width: 0px;
    background: transparent;
  }
  -ms-overflow-style: none;
  scrollbar-width: none;
}

@mixin custom-scroll-bar($scrollbar-width: 0.25rem) {
  @supports not ((scrollbar-width: none) or (scrollbar-color: none)) {
    &::-webkit-scrollbar {
      width: $scrollbar-width;
    }

    &::-webkit-scrollbar-track {
      border-radius: 1.6rem;
      background: var(--controls-beta-color);
    }

    &::-webkit-scrollbar-thumb {
      border-radius: 1.6rem;
      background: var(--controls-alpha-color);
    }
    @include phone {
      &::-webkit-scrollbar {
        width: calc(#{$scrollbar-width} / 3.2);
      }

      &::-webkit-scrollbar-track {
        border-radius: $scrollbar-width;
      }

      &::-webkit-scrollbar-thumb {
        border-radius: $scrollbar-width;
      }
    }
  }

  /* for firefox */
  @supports ((scrollbar-width: none) or (scrollbar-color: none)) {
    scrollbar-width: thin;
    scrollbar-color: var(--controls-alpha-color) var(--controls-beta-color);
  }
}

@mixin bg($url, $size: contain, $position: center) {
  background-image: url($url);
  background-size: $size;
  background-position: $position;
  background-repeat: no-repeat;
}

@mixin base-gradient(
  $percentage-size,
  $box-shadow-size,
  $t: auto,
  $r: auto,
  $l: auto,
  $b: auto
) {
  width: $percentage-size;
  padding-bottom: $percentage-size;

  position: absolute;
  top: $t;
  bottom: $b;
  left: $l;
  right: $r;

  background: var(--base-gradient);
  box-shadow: $box-shadow-size rgba(var(--gradient-box-shadow-color-rgb), 0.25);
}

//fonts
@mixin font(
  $font: $primary-font,
  $size: 1rem,
  $color: $font-primary-color,
  $weight: 400
) {
  font-family: $font;
  font-size: $size;
  color: $color;
  font-weight: $weight;
  line-height: 1.3;
}

//position
@mixin absolute-center {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

//reset
@mixin reset-list {
  padding: 0;
  margin: 0;
  list-style-type: none;
}

@mixin reset-link {
  display: inline-block;
  text-align: center;
  text-decoration: none;
  // cursor: pointer;
}

@mixin reset-button {
  padding: 0;
  border: none;
  background: none;
  // cursor: pointer;

  &:focus,
  &:active {
    outline: none;
  }
}

// media
@mixin phone {
  @media (max-width: 899px) {
    @content;
  }
}
@mixin tablet {
  @media (max-width: 1159px) {
    @content;
  }
}
